org.apache.hadoop.yarn.state

## Class Graph

- java.lang.Object
- - org.apache.hadoop.yarn.state.Graph

-     @InterfaceAudience.Private
      public class Graph
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Graph.Edge`
    `class` | `Graph.Node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Graph()`
    `Graph(String name)`
    `Graph(String name, Graph parent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubGraph(Graph graph)`
    `static List<Graph.Edge>` | `combineEdges(List<Graph.Edge> edges)`
    `String` | `generateGraphViz()`
    `String` | `generateGraphViz(String indent)`
    `String` | `getName()`
    `Graph.Node` | `getNode(String id)`
    `Graph` | `getParent()`
    `Graph` | `newSubGraph(String name)`
    `void` | `save(String filepath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Graph

          public Graph(String name,
                       Graph parent)

    - #### Graph

          public Graph(String name)

    - #### Graph

          public Graph()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getParent

          public Graph getParent()

    - #### getNode

          public Graph.Node getNode(String id)

    - #### newSubGraph

          public Graph newSubGraph(String name)

    - #### addSubGraph

          public void addSubGraph(Graph graph)

    - #### generateGraphViz

          public String generateGraphViz(String indent)

    - #### generateGraphViz

          public String generateGraphViz()

    - #### save

          public void save(String filepath)
                    throws IOException

      Throws:
        `IOException`

    - #### combineEdges

          public static List<Graph.Edge> combineEdges(List<Graph.Edge> edges)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.